Available in🇮🇳 India🇸🇬 Singapore
You can use Subscriptions to charge a customer periodically. A Subscription contains details like the plan, the start date, the total number of billing cycles, the free trial period (if any) and the upfront amount to be collected.
Below are the steps to integrate Subscriptions. You can also refer to our comprehensive Subscriptions Integration guide.
Create a Plan
POST /v1/plansCreates a plan.Fetch All Plans
GET /v1/plansFetches all the plans.Fetch a Plan With ID
GET /v1/plans/:idFetches a plan by its unique identifier.Create a Subscription
POST /v1/subscriptionsCreates a Subscription.Create a Subscription Link
POST /v1/subscriptionsCreates a Subscription link.Fetch All Subscriptions
GET /v1/subscriptionsFetches all the created Subscriptions.Fetch Subscription With ID
GET /v1/subscriptions/:idFetches a Subscription details using its unique identifier.Cancel a Subscription
POST /v1/subscriptions/:id/cancelCancels a Subscription.Update a Subscription
PATCH /v1/subscriptions/:idUpdates a Subscription.Fetch Details of a Pending Update
GET /v1/subscriptions/:id/retrieve_scheduled_changesFetches details about any update of a Subscription.Cancel an Update
POST /v1/subscriptions/:id/cancel_scheduled_changesCancels an update.Pause a Subscription
POST /v1/subscriptions/:id/pausePauses an active Subscription.Resume a Subscription
POST /v1/subscriptions/:id/resumeResumes a paused Subscription.Fetch All Invoices for a Subscription
GET /v1/subscriptionsFetches all the generated invoices for a Subscription.Link an Offer to a Subscription
POST /v1/subscriptionsLinks an Offer to a Subscription.Delete an Offer linked to a Subscription
DELETE /v1/subscriptions/:sub_id/:offer_idDeletes an Offer linked to a Subscription.